<?php
	// Header Section

	$wp_customize->add_section('advance_education_pro_top_bar_section',array(
		'title'	=> __('Top Bar','advance-education-pro'),
		'description'	=> __('Top Bar Settings','advance-education-pro'),
		'priority'	=> null,
		'panel' => 'advance_education_pro_panel_id',
	));

	$wp_customize->add_setting( 'advance_education_pro_topbar_section_back_settings',
    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'advance_education_pro_text_sanitization'
	));
	$wp_customize->add_control( new Themeshopy_Seperator_custom_Control( $wp_customize, 'advance_education_pro_topbar_section_back_settings',
	    array(
	    'label' => __('Section Background Settings','advance-education-pro'),
	    'section' => 'advance_education_pro_top_bar_section'
	)));

	$wp_customize->add_setting( 'advance_education_pro_topbar_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'advance_education_pro_topbar_bgcolor', array(
		'label' => __('Top Bar Background Color("Either add background color or background image, if you add both background color will be top most priority"
         )', 'advance-education-pro'),
		'section' => 'advance_education_pro_top_bar_section',
		'settings' => 'advance_education_pro_topbar_bgcolor',
	)));

	$wp_customize->add_setting('advance_education_pro_topbar_bgimage',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'advance_education_pro_topbar_bgimage',array(
        'label' => __('Background Image (826 X 150)','advance-education-pro'),
        'section' => 'advance_education_pro_top_bar_section',
        'settings' => 'advance_education_pro_topbar_bgimage'
	)));


	$wp_customize->add_setting( 'advance_education_pro_top_bar_content_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'advance_education_pro_text_sanitization'
	));
	$wp_customize->add_control( new Themeshopy_Seperator_custom_Control( $wp_customize, 'advance_education_pro_top_bar_content_settings',
	    array(
	    'label' => __('Section Content Settings','advance-education-pro'),
	    'section' => 'advance_education_pro_top_bar_section'
	)));

	$wp_customize->add_setting('advance_education_pro_top_bar_contact_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('advance_education_pro_top_bar_contact_number',array(
		'label'	=> __('Add Contact Here','advance-education-pro'),
		'section'	=> 'advance_education_pro_top_bar_section',
		'setting'	=> 'advance_education_pro_top_bar_contact_number',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('advance_education_pro_top_bar_contact_number_icon',
      array(
        'default'     => '',
        'sanitize_callback' => 'sanitize_text_field'
      )
    );
   $wp_customize->add_control( new advance_education_pro_Fontawesome_Icon_Chooser(
       $wp_customize,'advance_education_pro_top_bar_contact_number_icon',
        array(
        'settings'    => 'advance_education_pro_top_bar_contact_number_icon',
        'section'   => 'advance_education_pro_top_bar_section',
        'type'      => 'icon',
        'label'     => esc_html__( 'Choose Phone Icon', 'advance-education-pro' ),
    )));

	$wp_customize->add_setting('advance_education_pro_top_bar_email_address',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('advance_education_pro_top_bar_email_address',array(
		'label'	=> __('Add Email Id Here','advance-education-pro'),
		'section'	=> 'advance_education_pro_top_bar_section',
		'setting'	=> 'advance_education_pro_top_bar_email_address',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('advance_education_pro_top_bar_email_address_icon',
      array(
        'default'     => '',
        'sanitize_callback' => 'sanitize_text_field'
      )
    );
   $wp_customize->add_control( new advance_education_pro_Fontawesome_Icon_Chooser(
       $wp_customize,'advance_education_pro_top_bar_email_address_icon',
        array(
        'settings'    => 'advance_education_pro_top_bar_email_address_icon',
        'section'   => 'advance_education_pro_top_bar_section',
        'type'      => 'icon',
        'label'     => esc_html__( 'Choose Email Icon', 'advance-education-pro' ),
    )));

	$wp_customize->add_setting('advance_education_pro_top_bar_opening_time_label',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('advance_education_pro_top_bar_opening_time_label',array(
		'label'	=> __('Add Opening Time Label Here','advance-education-pro'),
		'section'	=> 'advance_education_pro_top_bar_section',
		'setting'	=> 'advance_education_pro_top_bar_opening_time_label',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('advance_education_pro_top_bar_opening_time',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('advance_education_pro_top_bar_opening_time',array(
		'label'	=> __('Add Email Id Here','advance-education-pro'),
		'section'	=> 'advance_education_pro_top_bar_section',
		'setting'	=> 'advance_education_pro_top_bar_opening_time',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('advance_education_pro_top_bar_register_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('advance_education_pro_top_bar_register_title',array(
		'label'	=> __('Add Registration Label Here','advance-education-pro'),
		'section'	=> 'advance_education_pro_top_bar_section',
		'setting'	=> 'advance_education_pro_top_bar_register_title',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('advance_education_pro_top_bar_registration_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('advance_education_pro_top_bar_registration_link',array(
		'label'	=> __('Add Registration Link Here','advance-education-pro'),
		'section'	=> 'advance_education_pro_top_bar_section',
		'setting'	=> 'advance_education_pro_top_bar_registration_link',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('advance_education_pro_top_bar_login_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('advance_education_pro_top_bar_login_title',array(
		'label'	=> __('Add Login Label Here','advance-education-pro'),
		'section'	=> 'advance_education_pro_top_bar_section',
		'setting'	=> 'advance_education_pro_top_bar_login_title',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('advance_education_pro_top_bar_login_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('advance_education_pro_top_bar_login_link',array(
		'label'	=> __('Add Login Link Here','advance-education-pro'),
		'section'	=> 'advance_education_pro_top_bar_section',
		'setting'	=> 'advance_education_pro_top_bar_login_link',
		'type'		=> 'url'
	));

	$wp_customize->add_setting( 'advance_education_pro_top_bar_color_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'advance_education_pro_text_sanitization'
	));
	$wp_customize->add_control( new Themeshopy_Seperator_custom_Control( $wp_customize, 'advance_education_pro_top_bar_color_settings',
	    array(
	    'label' => __('Section Content Color and Font Settings','advance-education-pro'),
	    'section' => 'advance_education_pro_top_bar_section'
	)));

	$wp_customize->add_setting( 'advance_education_pro_contact_details_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'advance_education_pro_contact_details_color', array(
		'label' => __('Contact Details Title Color', 'advance-education-pro'),
		'section' => 'advance_education_pro_top_bar_section',
		'settings' => 'advance_education_pro_contact_details_color',
	)));
	$wp_customize->add_setting('advance_education_pro_contact_details_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control(
	    'advance_education_pro_contact_details_font_family', array(
	    'section'  => 'advance_education_pro_top_bar_section',
	    'label'    => __('Contact Details Font family','advance-education-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'advance_education_pro_contact_icon_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'advance_education_pro_contact_icon_color', array(
		'label' => __('Contact Details Icon Color', 'advance-education-pro'),
		'section' => 'advance_education_pro_top_bar_section',
		'settings' => 'advance_education_pro_contact_icon_color',
	)));

	$wp_customize->add_setting( 'advance_education_pro_register_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'advance_education_pro_register_color', array(
		'label' => __('Register Login Color', 'advance-education-pro'),
		'section' => 'advance_education_pro_top_bar_section',
		'settings' => 'advance_education_pro_register_color',
	)));

	$wp_customize->add_setting( 'advance_education_pro_register_bg_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'advance_education_pro_register_bg_color', array(
		'label' => __('Register Login Background-Color', 'advance-education-pro'),
		'section' => 'advance_education_pro_top_bar_section',
		'settings' => 'advance_education_pro_register_bg_color',
	)));

	$wp_customize->add_setting('advance_education_pro_topbar_top_bottom_padding',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('advance_education_pro_topbar_top_bottom_padding',array(
        'label' => __('Topbar Top Bottom Padding','advance-education-pro'),
        'section'   => 'advance_education_pro_top_bar_section',
        'type'      => 'number'
    ));
?>